Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorQuentin Le Menez2017-05-31 09:07:16 -0400
committerQuentin Le Menez2017-06-02 05:26:10 -0400
commitd1c8dca9b47fbc27f97ee86b1204a5724c920024 (patch)
treed8e1d14f4b74a4bc03598305165f35a902cd7888 /tests/framework
parentf16aae7b9d69ab5e594d94c8fd7f550419991d3b (diff)
downloadorg.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.tar.gz
org.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.tar.xz
org.eclipse.papyrus-d1c8dca9b47fbc27f97ee86b1204a5724c920024.zip
Bug 517539 - [All] Update UML2 dependency for all Papyrus plugins
- Update plugins dependencies to uml2 - Add a new test to verify uml2.uml versions during bundle tests - Update plugin versions due to new reexported versions and other manifest changes Change-Id: I524eb4474eb6dd7de6f97ce118f144c28590773b Signed-off-by: Quentin Le Menez <quentin.lemenez@cea.fr>
Diffstat (limited to 'tests/framework')
-rw-r--r--tests/framework/org.eclipse.papyrus.tests.framework.edit/META-INF/MANIFEST.MF2
-rw-r--r--tests/framework/org.eclipse.papyrus.tests.framework/META-INF/MANIFEST.MF6
2 files changed, 4 insertions, 4 deletions
diff --git a/tests/framework/org.eclipse.papyrus.tests.framework.edit/META-INF/MANIFEST.MF b/tests/framework/org.eclipse.papyrus.tests.framework.edit/META-INF/MANIFEST.MF
index f91a3b8cba5..c877f8f4210 100644
--- a/tests/framework/org.eclipse.papyrus.tests.framework.edit/META-INF/MANIFEST.MF
+++ b/tests/framework/org.eclipse.papyrus.tests.framework.edit/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Export-Package: org.eclipse.papyrus.tests.framework.exceptions.provider
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.papyrus.tests.framework;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.gmf.codegen.edit;bundle-version="[2.9.0,3.0.0)";visibility:=reexport,
- org.eclipse.uml2.uml.edit;bundle-version="[5.1.0,6.0.0)";visibility:=reexport,
+ org.eclipse.uml2.uml.edit;bundle-version="[5.3.0,6.0.0)";visibility:=reexport,
org.eclipse.emf.codegen.ecore.ui;bundle-version="[2.12.0,3.0.0)";visibility:=reexport
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/tests/framework/org.eclipse.papyrus.tests.framework/META-INF/MANIFEST.MF b/tests/framework/org.eclipse.papyrus.tests.framework/META-INF/MANIFEST.MF
index fcfe5d0fcd8..19b23da2bef 100644
--- a/tests/framework/org.eclipse.papyrus.tests.framework/META-INF/MANIFEST.MF
+++ b/tests/framework/org.eclipse.papyrus.tests.framework/META-INF/MANIFEST.MF
@@ -16,20 +16,20 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Require-Bundle: org.junit;bundle-version="[4.12.0,5.0.0)";visibility:=reexport,
- org.eclipse.uml2.uml;bundle-version="[5.2.0,6.0.0)";visibility:=reexport,
+ org.eclipse.uml2.uml;bundle-version="[5.3.0,6.0.0)";visibility:=reexport,
org.eclipse.gmf.runtime.emf.core;bundle-version="[1.7.0,2.0.0)",
org.eclipse.xtend;bundle-version="[2.2.0,3.0.0)",
org.eclipse.xtend.lib;bundle-version="[2.10.0,3.0.0)",
org.apache.log4j;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.apache.commons.logging;bundle-version="[1.1.0,2.0.0)";visibility:=reexport,
org.eclipse.emf.mwe2.lib;bundle-version="[2.9.0,3.0.0)";visibility:=reexport,
- org.eclipse.uml2.codegen.ecore;bundle-version="[2.1.0,3.0.0)";visibility:=reexport,
+ org.eclipse.uml2.codegen.ecore;bundle-version="[2.3.0,3.0.0)";visibility:=reexport,
org.eclipse.papyrus.gmfgenextension;bundle-version="[2.0.0,3.0.0)";visibility:=reexport,
org.eclipse.emf;bundle-version="[2.6.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore.editor;bundle-version="[2.11.0,3.0.0)";visibility:=reexport,
org.eclipse.papyrus.mwe2.utils;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
org.eclipse.gmf.validate;bundle-version="[1.2.0,2.0.0)";visibility:=reexport,
- org.eclipse.uml2.uml.resources;bundle-version="[5.2.0,6.0.0)",
+ org.eclipse.uml2.uml.resources;bundle-version="[5.3.0,6.0.0)",
org.eclipse.upr.utp;bundle-version="[0.9.0,1.0.0)",
org.eclipse.papyrus.tests.framework.annotations;bundle-version="[1.2.0,2.0.0)",
org.eclipse.gmf.runtime.notation;bundle-version="[1.8.0,2.0.0)",

Back to the top